%define _exclude_files_from_autoreq %{_datadir}/doc/.*
%define	module	matplotlib
%define	basepy3dir	%(echo ../`basename %{py3dir}`)
%define with_html 0
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:		python-%{module}
Version:	1.3.0
Release:	%mkrel 7
Summary:	Matlab-style 2D plotting package for Python
Group:		Development/Python
License:	Python license
URL:		http://matplotlib.org/
Source0:	https://downloads.sourceforge.net/project/%{module}/%{module}/%{module}-%{version}/%{module}-%{version}.tar.gz
Patch0:		matplotlib_UnicodeDecodeError.patch
Requires:	python-numpy >= 1.1.0
Requires:	python-configobj, python-dateutil, python-pytz
Requires:	python-matplotlib-gtk = %{version}-%{release}
Requires:	python-matplotlib-qt4 = %{version}-%{release}
Requires:       python-pyparsing
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.1.0
BuildRequires:	libwxPythonGTK-devel, pygtk2.0-devel, cairo-devel
BuildRequires:	tkinter, tcl-devel, tk-devel, freetype2-devel >= 2.1.7
BuildRequires:	python-qt4, python-qt4-devel
BuildRequires:	agg-devel
BuildRequires:	libpng-devel, zlib-devel 
BuildRequires:	python-configobj, python-dateutil, python-pytz
BuildRequires:	python-docutils, python-sphinx
BuildRequires:	ipython
BuildRequires:	python-six
Requires:	python-gi
%if %{with_html}
BuildRequires:  python-numpydoc
%endif
Obsoletes:	%{name}-emf 
Obsoletes:	%{name}-fltk 

%description
matplotlib is a Python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in Python
scripts, the python and ipython shell (a la Matlab or Mathematica), web
application servers, and various graphical user interface toolkits.

%package cairo
Summary:	Cairo backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-cairo >= 1.2.0

%description cairo
This package contains the Cairo backend for matplotlib.

%package gtk
Summary:	GDK and GTK backends for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	pygtk2.0 >= 2.4.0
Requires:	%{name}-cairo = %{version}-%{release}

%description gtk
This package contains the GDK and GTK backends for matplotlib.

%package gtk3
Summary:	GTK3 backends for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-cairo = %{version}-%{release}

%description gtk3
This package contains the GDK3 backends for matplotlib.

%package qt4
Summary:	Qt backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-qt4

%description qt4
This package contains the Qt4 backend for matplotlib.

%package svg
Summary:	SVG backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pyxml

%description svg
This package contains the SVG backend for matplotlib.

%package pgf
Summary:	PGF backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description pgf
This package contains the PGF backend for matplotlib.

%package tk
Summary:	Tk backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	tkinter

%description tk
This package contains the Tk backend for matplotlib.

%package wx
Summary:	wxPython backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	wxPython

%description wx
This package contains the wxPython backend for matplotlib.

%package doc
Summary:	Documentation for matplotlib
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation and sample code for matplotlib.

%package -n	python3-matplotlib
Summary:	Python 2D plotting library
Group:		Development/Python
BuildRequires:	python3-cairo
BuildRequires:	python3-dateutil
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	python3-numpy
BuildRequires:	python3-pyparsing
BuildRequires:	python3-pytz
BuildRequires:	python3-six
# Try to build without xvfb-run to see if it solve the dbus problem
#BuildRequires:	x11-server-xvfb
Requires:	python3-gobject3
Requires:	python3-numpy
Requires:	python3-cairo
Requires:	python3-pyparsing
Requires:	python3-dateutil
Requires:	python3-pytz
Requires:	python3-matplotlib-qt4 = %{version}-%{release}

%description -n	python3-matplotlib
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.

%package -n	python3-matplotlib-qt4
Summary:	Qt4 backend for python3-matplotlib
Group:		Development/Python
Requires:	%{name}%{?_isa} = %{version}-%{release}
BuildRequires:	python3-qt4
Requires:	python3-qt4

%description -n	python3-matplotlib-qt4
%{summary}

%package -n	python3-matplotlib-tk
Summary:	Tk backend for python3-matplotlib
Group:		Development/Python
Requires:	python3-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:	tkinter3
Requires:	tkinter3

%description -n	python3-matplotlib-tk
%{summary}

%prep
%setup -q -n %{module}-%{version}
%patch0 
cp -a . %{py3dir}

%build
pushd %{py3dir}
find -name .svn | xargs rm -rf
# Remove duplicate test data file:
%__rm -f lib/matplotlib/tests/baseline_images/test_axes/shaped\ data.svg
#CFLAGS="%{optflags}" /usr/bin/xvfb-run %{__python3} setup.py build
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

find -name .svn | xargs rm -rf

# Remove duplicate test data file:
%__rm -f lib/matplotlib/tests/baseline_images/test_axes/shaped\ data.svg

#CFLAGS="%{optflags}" /usr/bin/xvfb-run %{__python} setup.py build
CFLAGS="%{optflags}" %{__python} setup.py build

%if %{with_html}
# Need to make built matplotlib libs available for the sphinx extensions:
pushd doc
    export PYTHONPATH=`realpath ../build/lib.linux*`
    %{__python} make.py html
popd
%endif

%install
pushd %{py3dir}
    %{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
    chmod +x $RPM_BUILD_ROOT%{python3_sitearch}/matplotlib/dates.py
    rm -rf $RPM_BUILD_ROOT%{python3_sitearch}/matplotlib/mpl-data/fonts
    rm -f $RPM_BUILD_ROOT%{python3_sitearch}/six.py
popd

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%{py_platsitedir}/%{module}/*.py*
%{py_platsitedir}/%{module}/*.so
%{py_platsitedir}/%{module}*egg-info
%{py_platsitedir}/%{module}-*-nspkg.pth
%{py_platsitedir}/%{module}/backends/Matplotlib.nib*
%{py_platsitedir}/%{module}/backends/__init__*
%{py_platsitedir}/%{module}/backends/*backend_agg*
%{py_platsitedir}/%{module}/backends/backend_cocoa*
%{py_platsitedir}/%{module}/backends/backend_macosx*
%{py_platsitedir}/%{module}/backends/backend_mixed*
%{py_platsitedir}/%{module}/backends/backend_pdf*
%{py_platsitedir}/%{module}/backends/backend_ps*
%{py_platsitedir}/%{module}/backends/backend_template*
%{py_platsitedir}/%{module}/backends/windowing*
%{py_platsitedir}/%{module}/backends/web_backend*
%{py_platsitedir}/%{module}/backends/backend_webagg*
%{py_platsitedir}/%{module}/backends/qt4_compat*
%{py_platsitedir}/%{module}/backends/qt4_editor*
%{py_platsitedir}/%{module}/delaunay*
%{py_platsitedir}/%{module}/mpl-data/*
%{py_platsitedir}/%{module}/projections*
%{py_platsitedir}/%{module}/sphinxext*
%{py_platsitedir}/%{module}/test*
%{py_platsitedir}/%{module}/tri*
%{py_platsitedir}/%{module}/compat*
%{py_platsitedir}/mpl_toolkits*
%{py_platsitedir}/pylab*

%files cairo
%{py_platsitedir}/%{module}/backends/backend_cairo.py*

%files gtk
%{py_platsitedir}/%{module}/backends/backend_gdk.py*
%{py_platsitedir}/%{module}/backends/backend_gtk.py*
%{py_platsitedir}/%{module}/backends/backend_gtkagg.py*
%{py_platsitedir}/%{module}/backends/backend_gtkcairo.py*
%{py_platsitedir}/%{module}/backends/_backend_gdk.so
%{py_platsitedir}/%{module}/backends/_gtkagg.so

%files gtk3
%{py_platsitedir}/%{module}/backends/backend_gtk3.py*
%{py_platsitedir}/%{module}/backends/backend_gtk3agg.py*
%{py_platsitedir}/%{module}/backends/backend_gtk3cairo.py*

%files qt4
%{py_platsitedir}/%{module}/backends/backend_qt4.py*
%{py_platsitedir}/%{module}/backends/backend_qt4agg.py*

%files pgf
%{py_platsitedir}/%{module}/backends/backend_pgf.py*

%files svg
%{py_platsitedir}/%{module}/backends/backend_svg.py*

%files tk
%{py_platsitedir}/%{module}/backends/backend_tkagg.py*
%{py_platsitedir}/%{module}/backends/tkagg.py*
%{py_platsitedir}/%{module}/backends/_tkagg.so

%files wx
%{py_platsitedir}/%{module}/backends/backend_wx.py*
%{py_platsitedir}/%{module}/backends/backend_wxagg.py*

%files doc
%doc examples/  
%if %{with_html}
%doc doc/build/html/*
%endif

%files -n python3-matplotlib
%{python3_sitearch}/*egg-info
%{python3_sitearch}/matplotlib/
%{python3_sitearch}/mpl_toolkits/
%{python3_sitearch}/pylab.py*
%{python3_sitearch}/__pycache__/
%{python3_sitearch}/%{module}-*-nspkg.pth
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/_tkagg.*

%files -n python3-matplotlib-qt4
%{python3_sitearch}/matplotlib/backends/backend_qt4.*
%{python3_sitearch}/matplotlib/backends/backend_qt4agg.*

%files -n python3-matplotlib-tk
%{python3_sitearch}/matplotlib/backends/backend_tkagg.py*
%{python3_sitearch}/matplotlib/backends/tkagg.*
%{python3_sitearch}/matplotlib/backends/_tkagg.*



%changelog
* Sat Nov 02 2013 fwang <fwang> 1.3.0-7.mga4
+ Revision: 548949
- filter correctly
- add requires

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-6.mga4
+ Revision: 543865
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-5.mga4
+ Revision: 498899
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 1.3.0-4.mga4
+ Revision: 490539
+ rebuild (emptylog)

* Wed Sep 11 2013 joequant <joequant> 1.3.0-3.mga4
+ Revision: 477699
- add pyparsing which is required by matplotlib

* Sat Sep 07 2013 philippem <philippem> 1.3.0-2.mga4
+ Revision: 475676
- add matplotlib_UnicodeDecodeError.patch to fix mga#11128
- add requires on matplotlib-qt4 to fix mga#11131

* Wed Aug 28 2013 philippem <philippem> 1.3.0-1.mga4
+ Revision: 472699
- drop tk patch (upstream solved build issue differently)
- obsolete emf and fltk backends no longer provided upstream
- review file list
- disable build html doc
- disable build html doc
- Try to build without xvfb-run to see if it solve the dbus problem
- update to 1.3.0

* Thu Jul 04 2013 philippem <philippem> 1.2.0-4.mga4
+ Revision: 450088
- add Python 3

* Mon Jun 03 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 436071
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 379123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.2.0-1.mga3
+ Revision: 334342
- Update to 1.2.0

* Sun Oct 07 2012 philippem <philippem> 1.1.1-1.mga3
+ Revision: 303208
- Update to 1.1.1

* Fri Oct 21 2011 philippem <philippem> 1.1.0-1.mga2
+ Revision: 157235
- Update to 1.1.0

* Tue Sep 20 2011 fwang <fwang> 1.0.1-4.mga2
+ Revision: 145920
- fix build with latest libpng
- rebuild for new libpng
- br agg
- add debian patch to fix tkinter version detection
- sync with fedora package
- rebuild for new tcl

* Mon Apr 25 2011 grenoya <grenoya> 1.0.1-2.mga1
+ Revision: 90209
- increase release
- remove python-matplotlib-qt subpackage

* Sun Apr 24 2011 grenoya <grenoya> 1.0.1-1.mga1
+ Revision: 90115
- remove python-qt from buildrequires
- imported package python-matplotlib

